LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-06-2012, 02:32 PM   #1
nadia_kh
Member
 
Registered: May 2012
Posts: 30

Rep: Reputation: Disabled
Question configuring ns-2.35 and sumo for TraNS in fedora 15


hello
i installed sumo-0.9.8 and ns-2.35 in fedora 15. i want to use TraNS.
i know that TraNS no need to install. but it needs to be configured for using ns-2.
when i use the command patch -p0 < traci.patch
the error is appeared
Quote:
[root@Fedora-15 ns-allinone-2.35]# patch -p0 < traci.patch
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|*** Makefile.in.2.29 2005-10-20 06:45:22.000000000 +0200
|--- Makefile.in 2007-09-11 13:46:57.000000000 +0200
--------------------------
File to patch: traci.patch
patching file traci.patch
Hunk #1 FAILED at 85.
Hunk #2 succeeded at 90 with fuzz 2 (offset -1 lines).
Hunk #3 succeeded at 152 with fuzz 2 (offset -2 lines).
Hunk #4 succeeded at 318 with fuzz 2 (offset -3 lines).
Hunk #5 FAILED at 345.
2 out of 5 hunks FAILED -- saving rejects to file traci.patch.rej
can't find file to patch at input line 74
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|*** common/mobilenode.h.2.31 2007-09-20 13:13:18.000000000 +0200
|--- common/mobilenode.h 2007-09-20 13:13:59.000000000 +0200
--------------------------
and when i use the command patch traci.patch
it needs too time to patch .(the traci.patch is 3kB).
what's the matter?

thanks
 
Old 06-06-2012, 02:56 PM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2017 CentOS6.9 CentOS7.4 + 50+ other Linux OS, for test only.
Posts: 16,758

Rep: Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329
The file traci-readme.txt in TraNSv1.2/traci :
cd ns-allinone-2.31/ns-2.31/ && patch -p0 < traci.patch


The later documentation http://wiki.epfl.ch/trans/documents/readme.txt
cd ns-allinone-2.32/ns-2.32/ && patch -p0 < traci.patch
... And tells which files to modify in ns-2.32.

Later versions are not mentioned. May work, or may not work.

.
 
Old 06-06-2012, 04:35 PM   #3
nadia_kh
Member
 
Registered: May 2012
Posts: 30

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
The file traci-readme.txt in TraNSv1.2/traci :
cd ns-allinone-2.31/ns-2.31/ && patch -p0 < traci.patch


The later documentation http://wiki.epfl.ch/trans/documents/readme.txt
cd ns-allinone-2.32/ns-2.32/ && patch -p0 < traci.patch
... And tells which files to modify in ns-2.32.

Later versions are not mentioned. May work, or may not work.

.
hi knudfl
thanks for your guides
The TraNS worked with ns-2.35 when i tested it
probably it works with other test

best regards
 
Old 06-06-2012, 05:30 PM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2017 CentOS6.9 CentOS7.4 + 50+ other Linux OS, for test only.
Posts: 16,758

Rep: Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329Reputation: 3329
Some more info : TraCI_package_by_CMC.zip
http://rapidlibrary.com/files/traci-...zcyti89on.html
>> http://lens1.csie.ncku.edu.tw/MOVE/T...age_by_CMC.zip

A couple of tcl files are included, amongst the scenario files :
TraCI_package_by_CMC/TraCI_work_grid_4_4/ ex_traci.tcl ex_without_tracie.tcl

( Quote, ReadMe.txt : " 'traci-ns2-patch' :
I have modified ns2 client to support SUMO 0.12.3 version.
* TraCI_work_grid_4_4
This is test scenario and without any problem so far" ).


Kind Regards.
 
Old 03-31-2015, 01:12 AM   #5
Raaha Priya
LQ Newbie
 
Registered: Dec 2014
Posts: 18

Rep: Reputation: Disabled
Even i got the same error. Can you tellme how you cleared it?
 
  


Reply

Tags
ns2, traci


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] why sumo 0.9.8 does not installed in fedora 15? nadia_kh Linux - Newbie 17 06-04-2012 04:59 AM
[SOLVED] installing gdal-1.3.2 in fedora 15 for sumo nadia_kh Linux - Newbie 7 06-03-2012 04:56 PM
SUMO Installation in Fedora 15 mrnikunjdoshi Linux - Software 13 11-16-2011 03:35 AM
SUMO installation for TraNS on Fedora 12 Pranav Singh Linux - Newbie 3 11-01-2010 12:19 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 03:05 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration